> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v2/api-reference/projects/add-collaborator-to-project/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Add a Collaborator to a Project POST https://api.frame.io/v2/projects/{project_id}/collaborators Content-Type: application/json Add a new Collaborator to a Project Reference: https://next.developer.frame.io/platform/v2/api-reference/projects/add-collaborator-to-project ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `project_id` (string, required) ### Query parameters - `include` (string, optional) — Include additional "pre-loads" for this resource ### Body (application/json) This endpoint expects an object. - `email` (string, optional) ## Response ### 200 Collaborator success response - `_type` (enum, optional) - Allowed values: `collaborator`, `pending_collaborator` - `email` (string, optional) - `project_id` (string, optional) - `user` (User, optional) — User model - `user_id` (string, optional) ## Errors ### 401 Unauthorized Error Unauthorized response - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ### 404 Not Found Error Not Found response - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ## Types ### User User model - `digest_frequency` (string, optional) - `features_seen` (any, optional) - `profile_image_original` (any, optional) - `image_32` (string, optional) - `image_128` (string, optional) - `from_google` (boolean, optional) - `mfa_enforced_at` (string, optional) - `email` (string, optional) - `bio` (any, optional) - `name` (string, optional) - `image_64` (string, optional) - `timezone_value` (string, optional) - `account_id` (string, optional) - `updated_at` (string, optional) - `image_256` (string, optional) - `_type` (string, optional) - `user_hash` (string, optional) - `context` (any, optional) - `upload_url` (string, optional) - `location` (any, optional) - `phone` (any, optional) - `deleted_at` (any, optional) - `profile_image` (string, optional) - `first_login_at` (string, optional) - `joined_via` (string, optional) - `email_confirm_by` (any, optional) - `id` (string, optional) - `next_digest_date` (string, optional) - `email_preferences` (any, optional) - `last_seen` (string, optional) - `inserted_at` (string, optional) - `from_adobe` (boolean, optional) - `avatar_color` (string, optional) - `highest_account_role` (string, optional) - `integrations` (list of string, optional) - `roles` (UserRoles, optional) - `user_default_color` (string, optional) ### HttpErrorErrorsItems - `code` (integer, optional) - `detail` (string, optional) - `status` (integer, optional) - `title` (string, optional) ### UserRoles - `admin` (boolean, optional) - `id` (string, optional) - `sales` (boolean, optional) - `support` (boolean, optional) - `service_desk` (boolean, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "_type": "collaborator", "email": "jane.doe@example.com", "project_id": "eefb57e0-79f2-4bc7-9b70-99fbc175175c", "user": { "digest_frequency": "weekly", "image_32": "https://cdn.frame.io/images/users/32/janedoe.png", "image_128": "https://cdn.frame.io/images/users/128/janedoe.png", "from_google": true, "mfa_enforced_at": "2023-11-15T09:30:00Z", "email": "jane.doe@example.com", "name": "Jane Doe", "image_64": "https://cdn.frame.io/images/users/64/janedoe.png", "timezone_value": "America/New_York", "account_id": "acc_1234567890abcdef", "updated_at": "2024-05-20T14:22:00Z", "image_256": "https://cdn.frame.io/images/users/256/janedoe.png", "_type": "user", "user_hash": "a1b2c3d4e5f67890", "upload_url": "https://uploads.frame.io/user/janedoe", "profile_image": "https://cdn.frame.io/images/users/profile/janedoe.png", "first_login_at": "2022-01-10T08:00:00Z", "joined_via": "email_invite", "id": "user_9876543210fedcba", "next_digest_date": "2024-06-01T08:00:00Z", "last_seen": "2024-05-25T16:45:00Z", "inserted_at": "2022-01-10T08:00:00Z", "from_adobe": false, "avatar_color": "#4A90E2", "highest_account_role": "editor", "integrations": [ "slack", "google_drive" ], "roles": { "admin": true, "id": "role_1234abcd", "sales": false, "support": true, "service_desk": false }, "user_default_color": "#FF5733" }, "user_id": "user_9876543210fedcba" } ``` **SDK Code** ```python import requests url = "https://api.frame.io/v2/projects/project_id/collaborators" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v2/projects/project_id/collaborators'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v2/projects/project_id/collaborators" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v2/projects/project_id/collaborators") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.frame.io/v2/projects/project_id/collaborators") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.frame.io/v2/projects/project_id/collaborators', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v2/projects/project_id/collaborators"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v2/projects/project_id/collaborators")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```